<?php

namespace App\Notifications;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;

class Reserva extends Notification
{
    use Queueable;

    /**
     * Create a new notification instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Get the notification's delivery channels.
     *
     * @param  mixed  $notifiable
     * @return array
     */
    public function via($notifiable)
    {
        return ['mail'];
    }

    /**
     * Get the mail representation of the notification.
     *
     * @param  mixed  $notifiable
     * @return \Illuminate\Notifications\Messages\MailMessage
     */
    public function toMail($notifiable)
    {
        return (new MailMessage)
                    ->from('reserva@guatehoteles.com', 'GuateHoteles Reserva')
                    ->subject('Un usuario está interesado en reservar una habitación')
                    ->greeting('Hola!, Aquí tienes los datos del huésped interesado en reservar una habitación: ')
                    ->line('Hotel :'.$notifiable->hotel)
                    ->line('Habitación : '.$notifiable->habitacion)
                    ->line('Fecha de llegada: '.date("d/m/Y", strtotime($notifiable->check_in)))
                    ->line('Fecha de salida: '.date("d/m/Y", strtotime($notifiable->check_out)))
                    ->line('Número de huésped: '.$notifiable->huesped)
                    ->line('Detalles del huésped')
                    ->line('Su nombre: '.$notifiable->to_nombre)
                    ->line('Su correo electrónico: '.$notifiable->to_email)
                    ->line('Su Teléfono: '.$notifiable->to_telefono)
                    ->line('Mensaje :')
                    ->line($notifiable->mensaje);
    }

    /**
     * Get the array representation of the notification.
     *
     * @param  mixed  $notifiable
     * @return array
     */
    public function toArray($notifiable)
    {
        return [
            //
        ];
    }
}
